org.apache.cxf.service.model

## Class OperationInfo

- java.lang.Object
- - org.apache.cxf.service.model.AbstractPropertiesHolder
  - - org.apache.cxf.service.model.OperationInfo

- All Implemented Interfaces:
    Extensible, NamedItem
  Direct Known Subclasses:
    UnwrappedOperationInfo

      public class OperationInfo
      extends AbstractPropertiesHolder
      implements NamedItem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFault(FaultInfo fault)` Adds a fault to this operation.
    `FaultInfo` | `addFault(QName name, QName message)` Adds an fault to this operation.
    `MessageInfo` | `createMessage(QName nm, MessageInfo.Type type)`
    `boolean` | `equals(Object o)`
    `FaultInfo` | `getFault(QName name)` Returns the fault with the given name, if found.
    `Collection<FaultInfo>` | `getFaults()` Returns all faults for this operation.
    `MessageInfo` | `getInput()`
    `String` | `getInputName()`
    `InterfaceInfo` | `getInterface()`
    `QName` | `getName()` Returns the name of the Operation.
    `MessageInfo` | `getOutput()`
    `String` | `getOutputName()`
    `List<String>` | `getParameterOrdering()`
    `OperationInfo` | `getUnwrappedOperation()`
    `boolean` | `hasFaults()`
    `int` | `hashCode()`
    `boolean` | `hasInput()`
    `boolean` | `hasOutput()`
    `boolean` | `isOneWay()`
    `boolean` | `isUnwrapped()`
    `boolean` | `isUnwrappedCapable()`
    `void` | `removeFault(QName name)` Removes a fault from this operation.
    `void` | `setInput(String nm, MessageInfo in)`
    `void` | `setName(QName name)` Sets the name of the operation.
    `void` | `setOutput(String nm, MessageInfo out)`
    `void` | `setParameterOrdering(List<String> o)`
    `void` | `setUnwrappedOperation(OperationInfo op)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

      `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationInfo

          public OperationInfo()

  - ### Method Detail

    - #### getName

          public QName getName()

      Returns the name of the Operation.
      Specified by:
        `getName` in interface `NamedItem`
      Returns:
        the name of the Operation

    - #### setName

          public final void setName(QName name)

      Sets the name of the operation.
      Parameters:
        `name` - the new name of the operation

    - #### getInterface

          public InterfaceInfo getInterface()

    - #### createMessage

          public MessageInfo createMessage(QName nm,
                                           MessageInfo.Type type)

    - #### getOutput

          public MessageInfo getOutput()

    - #### getOutputName

          public String getOutputName()

    - #### setOutput

          public void setOutput(String nm,
                                MessageInfo out)

    - #### hasOutput

          public boolean hasOutput()

    - #### getInput

          public MessageInfo getInput()

    - #### getInputName

          public String getInputName()

    - #### setInput

          public void setInput(String nm,
                               MessageInfo in)

    - #### hasInput

          public boolean hasInput()

    - #### isOneWay

          public boolean isOneWay()

    - #### isUnwrappedCapable

          public boolean isUnwrappedCapable()

    - #### getUnwrappedOperation

          public OperationInfo getUnwrappedOperation()

    - #### setUnwrappedOperation

          public void setUnwrappedOperation(OperationInfo op)

    - #### isUnwrapped

          public boolean isUnwrapped()

    - #### addFault

          public FaultInfo addFault(QName name,
                                    QName message)

      Adds an fault to this operation.
      Parameters:
        `name` - the fault name.

    - #### addFault

          public void addFault(FaultInfo fault)

      Adds a fault to this operation.
      Parameters:
        `fault` - the fault.

    - #### removeFault

          public void removeFault(QName name)

      Removes a fault from this operation.
      Parameters:
        `name` - the qualified fault name.

    - #### getFault

          public FaultInfo getFault(QName name)

      Returns the fault with the given name, if found.
      Parameters:
        `name` - the name.
      Returns:
        the fault; or `null` if not found.

    - #### hasFaults

          public boolean hasFaults()

    - #### getFaults

          public Collection<FaultInfo> getFaults()

      Returns all faults for this operation.
      Returns:
        all faults.

    - #### setParameterOrdering

          public void setParameterOrdering(List<String> o)

    - #### getParameterOrdering

          public List<String> getParameterOrdering()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

Apache CXF